ld prints misleading errors about being unable to read symbols from .so files in /usr/lib

Bug #887866 reported by Marius Gedminas
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
binutils (Ubuntu)
Expired
Wishlist
Unassigned

Bug Description

I was trying to build Brogue and encountered this error:

    mg@platonas:/tmp/brogue-1.5.2 $ make
    gcc -O3 -o bin/brogue src/brogue/Architect.o src/brogue/Combat.o src/brogue/Dijkstra.o src/brogue/Globals.o src/brogue/IO.o src/brogue/Items.o src/brogue/Light.o src/brogue/Monsters.o src/brogue/Movement.o src/brogue/Recordings.o src/brogue/RogueMain.o src/brogue/Random.o src/platform/main.o src/platform/platformdependent.o src/platform/curses- platform.o src/platform/tcod-platform.o src/platform/term.o -L. -Lsrc/libtcod-1.5.1 -ltcod -lncurses -lm -Wl,-rpath,.
    /usr/bin/ld: src/platform/tcod-platform.o: undefined reference to symbol 'SDL_GetAppState'
    /usr/bin/ld: note: 'SDL_GetAppState' is defined in DSO /usr/lib/libSDL-1.2.so.0 so try adding it to the linker command line
    /usr/lib/libSDL-1.2.so.0: could not read symbols: Invalid operation
    collect2: ld returned 1 exit status
    make: *** [bin/brogue] Error 1

The last message (about /usr/lib/libSDL) made me doubt the integrity of my system ("Invalid operation" while reading brings to mind disk failures). Apparently it doesn't mean anything: libSDL is just fine, my disk is just fine, and all I need to do is edit the Makefile and add -lSDL in the proper place to get it to link.

Can the misleading error message please be removed?

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: binutils 2.21.53.20110810-0ubuntu5
ProcVersionSignature: Ubuntu 3.0.0-13.21-generic 3.0.6
Uname: Linux 3.0.0-13-generic i686
ApportVersion: 1.23-0ubuntu4
Architecture: i386
Date: Wed Nov 9 03:11:05 2011
EcryptfsInUse: Yes
InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release i386 (20091028.5)
ProcEnviron:
 LANGUAGE=lt_LT:lt:en_GB:en
 LC_CTYPE=lt_LT.UTF-8
 PATH=(custom, user)
 LANG=lt_LT.UTF-8
 SHELL=/bin/bash
SourcePackage: binutils
UpgradeStatus: Upgraded to oneiric on 2011-10-13 (26 days ago)

Revision history for this message
Marius Gedminas (mgedmin) wrote :
Revision history for this message
Matthias Klose (doko) wrote :

is this still seen with 2.23 in quantal?

Changed in binutils (Ubuntu):
importance: Undecided → Wishlist
status: New → Incomplete
Revision history for this message
Launchpad Janitor (janitor) wrote :

[Expired for binutils (Ubuntu) because there has been no activity for 60 days.]

Changed in binutils (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers